Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

problem with editor

Help
rmiarka
2005-05-25
2012-12-06
  • rmiarka
    rmiarka
    2005-05-25

    Hello

    I just installed Eclipse and the Haskell plug-in.

    Unfortunately, I get an error when I try to open a new Haskell module (Test.hs): "Editor could not be initialized."

    Does anyone have any hints?

    (I have both Hugs and GHC installed and my empty Test.hs runs in with both.)

    Thanks,
    Ralph

     
    • Rich
      Rich
      2005-06-06

      I have the exact same problem, here's the log file:

      eclipse.buildId=M200503110845
      java.version=1.5.0_02
      java.vendor=Sun Microsystems Inc.
      BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US

      !ENTRY org.eclipse.core.runtime 4 2 Jun 06, 2005 16:02:29.99
      !MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.core.runtime".
      !STACK 0
      java.lang.NoClassDefFoundError: org/eclipse/jface/text/rules/FastPartitioner
          at de.leiffrenzel.fp.haskell.ui.editor.HaskellDocumentProvider.createDocumentPartitioner(HaskellDocumentProvider.java:31)
          at de.leiffrenzel.fp.haskell.ui.preferences.editor.SyntaxPreviewer.getPartitioner(SyntaxPreviewer.java:148)
          at de.leiffrenzel.fp.haskell.ui.preferences.editor.SyntaxPreviewer.setupDocument(SyntaxPreviewer.java:137)
          at de.leiffrenzel.fp.haskell.ui.preferences.editor.SyntaxPreviewer.<init>(SyntaxPreviewer.java:47)
          at de.leiffrenzel.fp.haskell.ui.preferences.editor.SyntaxTab.createPreviewer(SyntaxTab.java:194)
          at de.leiffrenzel.fp.haskell.ui.preferences.editor.SyntaxTab.createControl(SyntaxTab.java:62)
          at de.leiffrenzel.fp.haskell.ui.preferences.editor.HaskellEditorPP.createContents(HaskellEditorPP.java:49)
          at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:217)
          at org.eclipse.jface.preference.PreferenceDialog$12.run(PreferenceDialog.java:1008)
          at org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:616)
          at org.eclipse.core.runtime.Platform.run(Platform.java:747)
          at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1003)
          at org.eclipse.jface.preference.PreferenceDialog$8.selectionChanged(PreferenceDialog.java:529)
          at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:450)
          at org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:616)
          at org.eclipse.core.runtime.Platform.run(Platform.java:747)
          at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:448)
          at org.eclipse.jface.viewers.StructuredViewer.handlePostSelect(StructuredViewer.java:708)
          at org.eclipse.jface.viewers.StructuredViewer$5.widgetSelected(StructuredViewer.java:726)
          at org.eclipse.jface.util.OpenStrategy.firePostSelectionEvent(OpenStrategy.java:200)
          at org.eclipse.jface.util.OpenStrategy.access$4(OpenStrategy.java:195)
          at org.eclipse.jface.util.OpenStrategy$3.run(OpenStrategy.java:349)
          at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
          at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:106)
          at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:2750)
          at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2435)
          at org.eclipse.jface.window.Window.runEventLoop(Window.java:668)
          at org.eclipse.jface.window.Window.open(Window.java:648)
          at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:72)
          at org.eclipse.jface.action.Action.runWithEvent(Action.java:881)
          at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:915)
          at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:866)
          at org.eclipse.jface.action.ActionContributionItem$7.handleEvent(ActionContributionItem.java:785)
          at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:82)
          at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:796)
          at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:2773)
          at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2432)
          at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1377)
          at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1348)
          at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:254)
          at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:141)
          at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:96)
          at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:335)
          at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:273)
          at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:129)
          at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
          at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
          at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
          at java.lang.reflect.Method.invoke(Unknown Source)
          at org.eclipse.core.launcher.Main.basicRun(Main.java:185)
          at org.eclipse.core.launcher.Main.run(Main.java:704)
          at org.eclipse.core.launcher.Main.main(Main.java:688)

       
      • Leif Frenzel
        Leif Frenzel
        2005-06-06

        Rich,

        this could be an incompatibility. The plugin version 0.8 requires the last Eclipse 3.1 Milestone (M7). That's at least against what I compiled. From the timestamp in your log it looks like you're using an older Eclipse.

        Ciao,
        Leif

         
    • Rich
      Rich
      2005-06-07

      Thanks, I will give that a try.  I was using the latest release version of Eclipse, 3.0.2.

       
    • Rich
      Rich
      2005-06-07

      Yes, it was the Eclipse version.  I tried 3.1M7 and everything seems to work OK now.